Page MenuHomePhabricator

Add "stub" as a possible issue (flagged in red) in the New Pages Feed/Page Curation Tool
Closed, ResolvedPublic

Description

Any new pages that are very short* should be flagged on the feed with "stub" as a possible issue (similar to existing ones, such as "No categories", "Orphan", "No citations"). These are flagged in bold red, and you can also filter on some under "Set filters".


A suggested threshold for "very short" is an article that:

  • Contains only one body section with less that 100 words or 700 characters
  • OR only contains an infobox and/or an image

See https://en.wikipedia.org/wiki/Wikipedia:Page_Curation/Suggested_improvements#5._Very_short_article

Event Timeline

joeroe created this task.Feb 2 2017, 4:46 PM
Restricted Application added a project: Collaboration-Team-Triage. · View Herald TranscriptFeb 2 2017, 4:46 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript

English Wikipedia can do this at https://en.wikipedia.org/wiki/MediaWiki:PageTriageExternalTagsOptions.js . @MusikAnimal may be able to help, or the format is relatively straightforward.

Mattflaschen-WMF closed this task as Resolved.Feb 7 2017, 6:58 PM
Mattflaschen-WMF claimed this task.

Actually, it's already there. Reopen if it's not working.

joeroe reopened this task as Open.Feb 8 2017, 2:30 PM

@Mattflaschen-WMF I'm sorry, it seems either you've misunderstood the suggestion or I've misunderstood what PageTriageExternalTagsOptions.js does. We have the option on enwiki of tagging an article as a stub (i.e. adding the {{stub}} template) using the Page Curation Tool. However, the New Pages Feed also has a functionality where it automatically detects "possible issues" such as orphaned or uncategorised articles – these issues are then displayed in bold red text next to the article in the feed. We would like very short articles to trigger one of these automatic issues.

Mattflaschen-WMF renamed this task from Add "stub" as a possible issue in the New Pages Feed/Page Curation Tool to Add "stub" as a possible issue (under "Set filters") in the New Pages Feed/Page Curation Tool.Feb 8 2017, 7:31 PM
Mattflaschen-WMF updated the task description. (Show Details)

I see. I did misunderstand. Sorry about that.

Mattflaschen-WMF renamed this task from Add "stub" as a possible issue (under "Set filters") in the New Pages Feed/Page Curation Tool to Add "stub" as a possible issue (flagged in red) in the New Pages Feed/Page Curation Tool.
Kudpung added a subscriber: Kudpung.EditedSep 6 2017, 10:17 AM

Where is the follow up to this? or am I missing something?

This was completed as part of the ORES classification added recently to the New Page Feed and can be closed.

Restricted Application added a project: Growth-Team. · View Herald TranscriptOct 16 2018, 1:33 PM
Insertcleverphrasehere closed this task as Resolved.Oct 19 2018, 2:52 PM